Summary:        Extended Widgets for GTK+
Summary(ja):    GTK2 用拡張ウィジェット
Name:           libsexy
Version:        0.1.11
Release:        2%{?_dist_release}
URL:            http://www.chipx86.com/wiki/Libsexy
Group:          System Environment/Libraries
License:        LGPL

Source:         %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gtk2-devel, libxml2-devel, desktop-file-utils
Requires:       iso-codes

%description
A set of extensions on top of GTK+ widgets, to provide extra
functionality.


%package devel
Summary:  Files for development using %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}
Requires: dbus-devel, gtk2-devel, libxml2-devel

%description devel
This package contains the headers and pkg-config file for
development of programs using %{name}.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr (-, root, root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/*


%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.11-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.11-1vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.11-0vl1
- new upstream release

* Wed Nov 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.10-0vl1
- new upstream release

* Sun Mar 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.6-0vl1
- initial build for Vine Linux partialy based on SUSE pacakge

* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires

* Wed Jan 25 2006 - sbrabec@suse.cz
- Build with iso-codes.

* Wed Jan 18 2006 - dobey@suse.de
- Add -fno-strict-aliasing to CFLAGS
- Fix Requires for libsexy-devel to depend on gtk2-devel

* Thu Jan 12 2006 - dobey@suse.de
- Import libsexy into autobuild for notifications
